$packageParameters = $env:chocolateyPackageParameters

$location = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

Install-ChocolateyZipPackage `
    -PackageName 'vim-console' `
    -UnzipLocation $location `
    -Url "ftp://ftp.vim.org/pub/vim/pc/vim80-069rt.zip" `
    -ChecksumType "sha256" `
    -Checksum "482B3AEF45C3731B205D7C5FE59E0CCA7542AAE9B447F46B4792B89F2F79E01E" #`
#    -SpecificFolder "vim/vim80/" `

Install-ChocolateyZipPackage `
    -PackageName 'vim-console' `
    -UnzipLocation $location `
    -Url "ftp://ftp.vim.org/pub/vim/pc/vim80-069w32.zip" `
    -ChecksumType "sha256" `
    -Checksum "15D8CE633137822925056AF33E4BBB438E6C3603B6594897C51D3BE6542CAAB1" #`
#    -SpecificFolder "vim/vim80/" `


$files = get-childitem $location -include *.exe -recurse
foreach ($file in $files)
{
    if (!($file.Name.Contains("vim.exe")))
    {
        #generate an ignore file
        New-Item "$file.ignore" -type file -force | Out-Null
    }
}


if ( $packageParameters )
{
    $extensions = $packageParameters.replace(' ','').split(',;')

    foreach ( $ext in $extensions )
    {
        $realExt = if ( $ext[0] -eq '.' ) { $ext } else { ".$ext" }
        Install-ChocolateyFileAssociation `
            -Extension $realExt `
            -Executable "$location\vim\vim80\vim.exe"
    }
}
